Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJoakim Erdfelt2010-05-14 18:37:57 -0400
committerJoakim Erdfelt2010-05-14 18:37:57 -0400
commitd303b8361ea148ac0f7e65fcf3fb37301ad23466 (patch)
treeb45f4f98abe46f552f1dfe60a77558380d0a4b8f
parent11cef961939c96689acfb0132dd292c9ad35cfe0 (diff)
downloadorg.eclipse.jetty.project-d303b8361ea148ac0f7e65fcf3fb37301ad23466.tar.gz
org.eclipse.jetty.project-d303b8361ea148ac0f7e65fcf3fb37301ad23466.tar.xz
org.eclipse.jetty.project-d303b8361ea148ac0f7e65fcf3fb37301ad23466.zip
Moving maven-enforcer-plugin out of jetty-parent (which causes a circular dependency conflict with the actual jetty-enforcer-rules project) and moving plugin into jetty-project pom instead
git-svn-id: svn+ssh://dev.eclipse.org/svnroot/rt/org.eclipse.jetty/jetty/trunk@1792 7e9141cc-0065-0410-87d8-b60c137991c4
-rw-r--r--pom.xml37
1 files changed, 36 insertions, 1 deletions
diff --git a/pom.xml b/pom.xml
index b392dac96a..fea8d335f5 100644
--- a/pom.xml
+++ b/pom.xml
@@ -4,7 +4,7 @@
<parent>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-parent</artifactId>
- <version>14</version>
+ <version>15-SNAPSHOT</version>
</parent>
<groupId>org.eclipse.jetty</groupId>
<artifactId>jetty-project</artifactId>
@@ -106,6 +106,41 @@
</execution>
</executions>
</plugin>
+ <!-- Enforcer Plugin -->
+ <plugin>
+ <groupId>org.apache.maven.plugins</groupId>
+ <artifactId>maven-enforcer-plugin</artifactId>
+ <version>1.0-alpha-4</version>
+ <executions>
+ <execution>
+ <id>enforce-java</id>
+ <goals>
+ <goal>enforce</goal>
+ </goals>
+ <configuration>
+ <rules>
+ <requireMavenVersion>
+ <version>[2.0.6,)</version>
+ </requireMavenVersion>
+ <requireJavaVersion>
+ <version>[1.5,)</version>
+ </requireJavaVersion>
+ <versionTxtRule implementation="org.eclipse.jetty.toolchain.enforcer.rules.VersionTxtRule" />
+ <versionOsgiRule implementation="org.eclipse.jetty.toolchain.enforcer.rules.RequireOsgiCompatibleVersionRule" />
+ <versionRedhatRule implementation="org.eclipse.jetty.toolchain.enforcer.rules.RequireRedhatCompatibleVersionRule" />
+ <versionDebianRule implementation="org.eclipse.jetty.toolchain.enforcer.rules.RequireDebianCompatibleVersionRule" />
+ </rules>
+ </configuration>
+ </execution>
+ </executions>
+ <dependencies>
+ <dependency>
+ <groupId>org.eclipse.jetty.toolchain</groupId>
+ <artifactId>jetty-enforcer-rules</artifactId>
+ <version>1.1-SNAPSHOT</version>
+ </dependency>
+ </dependencies>
+ </plugin>
</plugins>
<pluginManagement>
<plugins>

Back to the top